@import url('webmentions.css');
@import url('isso-comments.css');

html {
    margin: 0;
    padding: 0 3em;
}

#container {
    margin: 3em auto;
    border-radius: 16px;
    overflow: hidden;
    max-width: 55em;
}

#container h1 {
    margin: 0;
    padding: 1ex;
}

#description p {
    display: inline;
}

#banner {
    text-align: center;
    position: relative;
}


#nav h2 {
    display: none;
}

.entry {
    clear: both;
}

.entry .heading {
    clear: both;
}

header h2 {
    margin: 0;
    padding: 0;
}

header h2 a {
    display: block;
    height: 100%;
    margin: 0;
    padding: 0;
}

a.toc_link:before {
    position: absolute;
    font-size: 67%;
    margin-top: .33em;
    margin-left: -1.5ex;
    text-decoration: none;
    content: '#';
    color: #777;
}

*:hover >a.toc_link:before {
    color: black;
    text-shadow: white 0 0 1px;
}

.entry .heading {
    position: relative;
}

.entry .heading .posted {
    position: absolute;
    right: 0;
    top: 0;
    font-size: small;
}

.entry .heading .top-hook {
    float: right;
    height: 1em;
    position: relative;
    z-index: 10000;
}

.entry .content {
    margin: 0 1em 1em;
}

.inset-right {
    margin: 0 0 1ex 1em;
    float: right;
    shape-margin: 1em;
}

.inset-left {
    margin: 0 1em 1ex 0;
    float: left;
    shape-margin: 1em;
}

.entry .posted .ago:before {
    content: '(';
}
.entry .posted .ago:after {
    content: ')';
}

img {
    max-width: 100%;
    height: auto;
}


#entries .nav {
    text-align: center;
    vertical-align: middle;
    display: table;
    width: 100%;
    margin: 0;
    padding: 0;
}

#entries .nav >div {
    display: table-row;
}

#entries .nav span {
    display: table-cell;
    width: 33%;
    vertical-align: middle;
}
#entries .nav span.prev {
    text-align: left;
}
#entries .nav span.next {
    text-align: right;
}


.expand {
    clear: both;
}

#nav ul {
    list-style-type: none;
    font-size: small;
    margin: 0;
    padding-left: 1ex;
    display: inline-block;
}

#nav li {
    display: inline-block;
}

#nav .breadcrumb li.here {
    font-weight: bold;
}

#nav .breadcrumb li:before {
    content: '» ';
    margin-left: 1ex;
}

#nav .breadcrumb li:first-child:before {
    content: none;
}

#nav .subcats {
    display: inline-block;
    list-style-type: none;
    margin: 0; padding: 0;
}

a.readmore {
    text-decoration: none;
    font-size: small;
    font-style: italic;
}

.hidden { display: none; }

table {
    border-collapse: collapse;
}

thead {
    background: #fef;
    color: black;
}

tfoot {
    background: #ffe;
    font-weight: bold;
    color: black;
}

thead, tbody, tfoot, colgroup {
    border: solid #777 2px;
}

th {
    padding: 0.2ex 1ex;
    border: solid #777 2px;
    text-align: center;
}

td {
    padding: 0.2ex 1ex;
    border: solid #777 1px;
    font-variant-numeric: tabular-nums;
}

.entry .tags {
    font-size: x-small;
    padding-right: 1em;
    margin-bottom: 1ex;
}

.entry .tags ul {
    display: inline;
    font-weight: normal;
    list-style-type: none;
    margin: 0;
    padding: 0;
}

.entry .tags li {
    display: inline;
    font-style: italic;
}
.entry .tags li+li:before {
    display: inline;
    content: ' • ';
}

#userinfo div {
    position: absolute;
    top: 0;
    left: 0;
    margin: 0;
    padding: 1ex;
    font-size: small;
    background: white;
    color: black;
    border: black 1px;
    border-style: none solid solid none;
    box-shadow: 3px 3px 3px rgba(0,0,0,0.1);
}

#userinfo a {
    font-size: x-small;
}

#userinfo a::before {
    content: '[';
}

#userinfo a::after {
    content: ']';
}

.footnotes {
    font-size: small;
    border-top: dashed black 1px;
}

.footnotes li {
    transition: background-color color 0.25s ease;
}

.footnotes :target {
    background: #cef;
    color: black;
}

@media screen and (max-width: 800px) {
    html {
        margin: 0;
        padding: 0;
    }

    body {
        margin: 0;
        padding: 0;
    }

    h1 {
        border-radius: 0;
        padding: 0;
        margin: 0;
    }

    #container {
        margin: 0;
        border: none;
        box-shadow: none;
        border-radius: 0;
    }

    div.inset-left, div.inset-right, .shaped {
        float: none;
        text-align: center;
        max-width: 100%;
    }

    .entry .content {
        padding: 1ex;
    }

    .entry .posted {
        padding: 0px 1ex;
        font-size: x-small;
    }

    .entry .posted .time {
        display: none;
    }

    .entry .heading .top-hook {
        width: 10em;
    }

    *:hover >a.toc_link:before {
        color: white;
        text-shadow: black 0 0 1px;
    }

    #userinfo {
        display: block;
        position: static;
        border: none;
        box-shadow: none;
	text-align: center;
	clear: both;
	border-top: solid black 1px;
    }
}

